/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 1999, 2000
 */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _BIP_SAMP_UTIL
#define _BIP_SAMP_UTIL

#include <BipCci.h>

/* ---------------------------------------------------------------- */
/*                     Internal constants                           */
/*                                                                  */
/* The following are the characters that are of interest to us      */
/* when parsing XML.                                                */
/*                                                                  */
/* ---------------------------------------------------------------- */
#define chTab           0x09
#define chCR            0x0D
#define chSpace         0x20
#define chDoubleQuote   0x22
#define chSingleQuote   0x27
#define chForwardSlash  0x2F
#define chColon         0x3A
#define chSemiComa      0x3B
#define chOpenAngle     0x3C
#define chEqual         0x3D
#define chCloseAngle    0x3E
#define chBackSlash     0x5C
#define chUnderscore    0x5F

/* 0-9 is contiguous */
#define chDigit_0       0x30
#define chDigit_9       0x39

/* A-Z is contiguous */
#define chLatin_A       0x41
#define chLatin_Z       0x5A

/* a-z is contiguous */
#define chLatin_a       0x61
#define chLatin_z       0x7A

/* Function prototypes */
int CciCharIsSpace(
  const CciChar c
);

int CciCharIsAlnum(
  const CciChar c
);

void CciCharCpy(
  CciChar* target,
  const CciChar* source
);

void CciCharNCpy(
  CciChar* target,
  const CciChar* source,
  unsigned int size
);

//to copy the CciChar array to char array.
void UTOASCIICharNCpy(
  char* target,
  const CciChar* source,
  unsigned int size
);


int CciCharLen(
  const CciChar* s
);

int CciCharCmp(
  const CciChar * s1,
  const CciChar* s2
);

int CciCharNCmp(
  const CciChar * s1,
  const CciChar* s2,
  int n
);

const CciChar* CciString(
  const char* source
);

const CciChar* CciNString(
  const char* source,
  const unsigned int size
);

const char* mbString(
  const CciChar* source
);

int CciCharIndexOf(
  CciChar* source,
  CciChar c,
  int index
);

int CharIndexOf(
  char* source,
  char c,
  int index
);

#endif

#ifdef __cplusplus
}
#endif

