//
// Message Catalog for Prafull Kumar plugin nodes
//
// Header Section
//FacilityNames=(
//   System=0x0FF
//   Application=0xFFF
//   ) 
//LanguageNames=(
//   English=1:MBEN_US1
//   )
// Message Section
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: DXP_ELEMENT_NOT_FOUND
//
// MessageText:
//
//  The broker (%1!s!) could not find the Element(%2!s!) in the message to store by the DxPool Node
//
#define DXP_ELEMENT_NOT_FOUND            ((int)0x40000001L)

//
// MessageId: DXP_KEY_NOT_FOUND
//
// MessageText:
//
//  (%1!s!) Key(%2!s!) not found in DxPool. No user action required
//
#define DXP_KEY_NOT_FOUND                ((int)0x40000002L)

//
// MessageId: DXP_CANT_CREATE_ELEMENT
//
// MessageText:
//
//  (%1!s!) The Element(%2!s!) cant not be created in the Message. Check that the Root Element is same in the Message and you should not change it.
//
#define DXP_CANT_CREATE_ELEMENT          ((int)0x80000003L)

//
// MessageId: DXP_TERMINAL_DOES_NOT_EXIST
//
// MessageText:
//
//  (%1!s!) The requested terminal (%2!s!) does not exist in message flow
//
#define DXP_TERMINAL_DOES_NOT_EXIST      ((int)0xC0000004L)

//
// MessageId: DXP_TERMINAL_NOT_ATTACHED
//
// MessageText:
//
//  (%1!s!) The requested terminal (%2!s!) is not attached to message flow
//
#define DXP_TERMINAL_NOT_ATTACHED        ((int)0xC0000005L)

//
// MessageId: DXP_MESSAGE_NOT_PROPAGATED
//
// MessageText:
//
//  Error occurred when propagating message (rc = %2!s!)
//
#define DXP_MESSAGE_NOT_PROPAGATED       ((int)0xC0000006L)

//
// MessageId: DXP_NODE_CONTEXT_DELETED
//
// MessageText:
//
//  Node context successfully deleted
//
#define DXP_NODE_CONTEXT_DELETED         ((int)0x40000007L)

//
// MessageId: DXP_MEMORY_FULL
//
// MessageText:
//
//  (%1!s!) Pool Memory Full. Cant Store the Message in the Pool. Pl take app action.(Shut down the broker increase the DXPOOL_MEMORY_PAGES env variable and restart it)
//
#define DXP_MEMORY_FULL                  ((int)0xC0000008L)

//
// MessageId: DXP_CANT_INIT_MEMORY
//
// MessageText:
//
//  (%1!s!) cant init memory. (rc = %2!s!)
//
#define DXP_CANT_INIT_MEMORY             ((int)0xC0000009L)

//
// MessageId: DXP_CANT_INIT_MEMORY_VIEW
//
// MessageText:
//
//  (%1!s!) cant init memory in the process. (rc = %2!s!)
//
#define DXP_CANT_INIT_MEMORY_VIEW        ((int)0xC000000AL)

//
// MessageId: DXP_CANT_INSERT_ELEMENT
//
// MessageText:
//
//  (%1!s!) Element (%2!s!) can not be inserted into Message
//
#define DXP_CANT_INSERT_ELEMENT          ((int)0x4000000BL)

//
// MessageId: DXP_MEMORY_SIZE
//
// MessageText:
//
//  (%1!s!) Memory size of DxPool Node is set to %2!s! pages.
//  Each page size is 4096 bytes
//
#define DXP_MEMORY_SIZE                  ((int)0x4000000CL)

//
// MessageId: DXP_MEMORY_INIT_FROM_FILE
//
// MessageText:
//
//  (%1!s!) Pool updated from file C:\DxPoolData.bin. No User action required.
//
#define DXP_MEMORY_INIT_FROM_FILE        ((int)0x4000000DL)

//
// MessageId: DXP_MEMORY_SAVED_TO_FILE
//
// MessageText:
//
//  (%1!s!) Pool saved to file C:\DxPoolData.bin. No User action required.
//
#define DXP_MEMORY_SAVED_TO_FILE         ((int)0x4000000EL)

//
// MessageId: DXP_SCRIPT_ERROR
//
// MessageText:
//
//  (%1!s!) DxPoolExpression is wrong. Pl refer to document, correct the syntax and depoy it again.
//  You can only use the following expression in DxPool node as of now:                      
//  SET DxPool.Key=Body.Element1.Element2;     
//  or
//  SET Body.Element1.Element2=DxPool.Key;
//  all other key word (*,/,\,+,-) is not supported as of now !!
//  error:
//  
//  %2!s!
//
#define DXP_SCRIPT_ERROR                 ((int)0xC000000FL)

//
// MessageId: DXP_TRY_TO_CHANGE_INPUT_MSG
//
// MessageText:
//
//  (%1!s!) User is not allowed to change the Input Msg in Script
//  (%2!s!)
//
#define DXP_TRY_TO_CHANGE_INPUT_MSG      ((int)0xC0000010L)

// End of Message Data
